snapraid install error?

    • OMV 4.x (stable)

    This site uses cookies. By continuing to browse this site, you are agreeing to our Cookie Policy.

    • snapraid install error?

      I'm on a new install of omv 4 on a VM under proxmox. I'm new to omv and want to try it with snapraid + mergerfs.

      I got the error below when installing snapraid. Just checking if this is a problem or can I ignore? I don't see any issues so far. All I;ve done is setup the drive as a data drive. No data written to it yet.

      Also, let me know if you have an advice on proxmox + OMV vm + snapraid + mergerfs.

      Reading package lists...
      Building dependency tree...
      Reading state information...
      The following additional packages will be installed:
      snapraid
      The following NEW packages will be installed:
      openmediavault-snapraid snapraid
      0 upgraded, 2 newly installed, 0 to remove and 74 not upgraded.
      Need to get 326 kB of archives.
      After this operation, 1001 kB of additional disk space will be used.
      Get:1 dl.bintray.com/openmediavault-plugin-developers/arrakis stretch/main amd64 snapraid amd64 11.2-1 [283 kB]
      Get:2 dl.bintray.com/openmediavault-plugin-developers/arrakis stretch/main amd64 openmediavault-snapraid all 3.7.3 [43.7 kB]
      Fetched 326 kB in 0s (583 kB/s)
      Selecting previously unselected package snapraid.
      (Reading database ... (Reading database ... 5%(Reading database ... 10%(Reading database ... 15%(Reading database ... 20%(Reading database ... 25%(Reading database ... 30%(Reading database ... 35%(Reading database ... 40%(Reading database ... 45%(Reading database ... 50%(Reading database ... 55%(Reading database ... 60%(Reading database ... 65%(Reading database ... 70%(Reading database ... 75%(Reading database ... 80%(Reading database ... 85%(Reading database ... 90%(Reading database ... 95%(Reading database ... 100%(Reading database ... 39506 files and directories currently installed.)
      Preparing to unpack .../snapraid_11.2-1_amd64.deb ...
      Unpacking snapraid (11.2-1) ...
      Selecting previously unselected package openmediavault-snapraid.
      Preparing to unpack .../openmediavault-snapraid_3.7.3_all.deb ...
      Unpacking openmediavault-snapraid (3.7.3) ...
      Setting up snapraid (11.2-1) ...
      Setting up openmediavault-snapraid (3.7.3) ...
      Updating configuration database ...
      Processing triggers for openmediavault (4.0.14-1) ...
      Updating locale files ...
      Updating file permissions ...
      Purging internal cache ...
      Restarting engine daemon ...
      Exception ignored in: <function WeakValueDictionary.__init__.<locals>.remove at 0x7f21e690f7b8>
      Traceback (most recent call last):
      File "/usr/lib/python3.5/weakref.py", line 117, in remove
      TypeError: 'NoneType' object is not callable
      Exception ignored in: <function WeakValueDictionary.__init__.<locals>.remove at 0x7f21e690f7b8>
      Traceback (most recent call last):
      File "/usr/lib/python3.5/weakref.py", line 117, in remove
      TypeError: 'NoneType' object is not callable
      Done ...